
var signal = 0;
var direction = 0;
var state_dir = 0;
var state = 3;
var step = 5;
var itr = 0;

function listPorts()
{
	var serialPortList = document.JSSerial.listPorts();
	var aSerialPortList = String(serialPortList).split(',');
	var outputDiv = document.getElementById("listportsoutput");

	var outputString = "";
	for (i = 0; i < aSerialPortList.length; i++)
	{
		outputString += i + ":" + aSerialPortList[i] + '<br />';
	}
	outputDiv.innerHTML = outputString;
	alert(outputString);
}

function startSerial()
{
	document.JSSerialConnect.startSerial();
}

function openPort()
{
	var serialPortList = document.JSSerial.listPorts();
	var aSerialPortList = String(serialPortList).split(',');
	document.JSSerial.startSerial(aSerialPortList[0]);
}

function getNextData()
{
	//Uncomment for serial input
	//return document.JSSerial.readString();

	//Fake data generation
	itr += 1;
	value = 0;
	if (state == 1) { //'excited'
		value = 165 + signal;
	} else if (state == 2) { //'aroused'
		value = 135 + signal;
	} else if (state == 3) { //'alert'
		value = 90 + signal;
	} else if (state == 4) { //'normal'
		value = 45 + signal;
	} else {
		value = 15 + signal;
	}
	
	if (signal > 15) {
		direction = 1;
	} else if (signal < 10) {
		direction = 0;
		step = Math.floor(Math.random()*15) + 5
	}
	
	if (direction == 0) {
		signal += step;
	} else {
		signal -= step;
	}
	
	if (itr > 100) {
		if (state == 5) {
			state_dir = 1;
		} else if (state == 1) {
			state_dir = 0;
		}
		if (state_dir == 0) {
			state += 1;
		}
		else {
			state -= 1;
		}
		itr = 0;
	}
	return value;
}

//Uncomment for serial input
//openPort();





